## sputnik 9.03.13%2b1

=== debian/control ===
Source: sputnik
Section: web
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: cdbs (>= 0.4.23-1.1), debhelper (>= 5), quilt (>= 0.40)
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/sputnik
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/sputnik
Homepage: http://spu.tnik.org/

Package: sputnik
Architecture: all
Depends: liblua5.1-coxpcall0, liblua5.1-wsapi1, liblua5.1-markdown0, liblua5.1-cosmo0, liblua5.1-filesystem0, liblua5.1-md5-0, liblua5.1-logging, liblua5.1-socket2, lua5.1, ${misc:Depends}
Description: Extensible wiki
 Sputnik is a wiki written in Lua. It is also a platform for building a range
 of wiki-like applications, drawing on Lua's strengths as an extension
 language.
 .
 Out of the box Sputnik behaves like a wiki with all the standard wiki
 features: editable pages, protection against spam bots, history view of pages,
 diff, preview, per-page-RSS feed for site changes. 
 .
 At the same time, Sputnik is designed to be used as a platform for a wide
 range of "social software" applications. Sputnik stores its data as versioned
 "pages" that can be editable through the web, and it allows those pages to
 store any data that can be saved as text (prose, comma-separated values, lists
 of named parameters, Lua tables, mbox-formatted messages, XML, etc.) While by
 default the page is displayed as if it carried Markdown-formatted text, the
 way the page is viewed (or edited, or saved, etc.) can be overridden on a
 per-page basis by over-riding or adding "actions".
 .
 The packages sputnik-storage-* provide a wide range of storage modules
 in addition to the default one (that is based on plain text files).

Package: sputnik-storage-git
Architecture: all
Depends: sputnik (= ${source:Version}), git-core, ${misc:Depends}
Description: Storage module for the sputnik wiki
 This package provides the additional git storage module for the sputnik wiki. 

Package: sputnik-storage-sqlite3
Architecture: all
Depends: sputnik (= ${source:Version}), liblua5.1-sql-sqlite3-2, ${misc:Depends}
Description: Storage module for the sputnik wiki
 This package provides the additional sqlite3 storage and authentication module
 for the sputnik wiki.
