## sputnik 9.03.13+1

=== debian/changelog ===
sputnik (9.03.13+1-4) unstable; urgency=low

  * Standards-version bumped to 3.9.2, no changes
  * source format 3.0 (quilt) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 23 Jul 2011 10:30:57 +0200

sputnik (9.03.13+1-3) unstable; urgency=low

  * removed Recommend on sputnik-goodies (Closes: #544123)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 30 Aug 2009 14:01:33 +0200

sputnik (9.03.13+1-2) unstable; urgency=low

  * added dependency over lua-coxpcall (Closes: #539993)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 05 Aug 2009 18:33:56 +0200

sputnik (9.03.13+1-1) unstable; urgency=low

  * Missing module (sputnik-markitup) added to the source tarball.

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 01 May 2009 23:23:06 +0200

sputnik (9.03.13-1) unstable; urgency=low

  * Upstream ships a sputnik binary, old sputnik-mk-cgi removed in favour of
    'sputnik make-cgi'
  * README.Debian updated according to the new sputnik binary
  * New upstream version with major improvements. Highlights:
    * the default edit UI is simplified
    * a script to create CGI files
    * a @Discussion node type allows creation of forum nodes
    * built-in search (simple and slow)
    * simpler admin interface
    * better reponsiveness
    * menu can now be on the side
    * permissions are now more extensible and support groups
    * debian-friendly icons
    * lbase64 no longer needed

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 30 Apr 2009 17:30:01 +0200

sputnik (8.10.05+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #475760)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 25 Jul 2008 23:04:19 +0200
