=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk


PACKAGES := $(shell grep Package: debian/control | cut -d : -f 2)

ROCKS_sputnik := colors diff saci sputnik versium xssfilter recaptcha sputnik-markitup
ROCKS_sputnik-storage-git := versium-git 
ROCKS_sputnik-storage-sqlite3 := versium-sqlite3 sputnik-auth-sqlite3 

define makedirs
	mkdir -p $(shell pwd)/debian/$(NAME)/usr/share/lua/5.1/
	mkdir -p $(shell pwd)/debian/$(NAME)/usr/share/doc/$(NAME)/docs/
endef
 
mk-dirs-%: NAME = $(subst mk-dirs-,,$@)
mk-dirs-%: ; $(makedirs)
mk-all-dirs: $(addprefix mk-dirs-,$(PACKAGES))

define installrocks
	DEST=$(shell pwd)/debian/$(NAME)/;\
	for R in $(ROCKS); do \
		cp -r src/$$R/* $$DEST/usr/share/lua/5.1/;\
		if [ -d doc/$$R/ ]; then \
			mkdir -p $$DEST/usr/share/doc/$(NAME)/docs/$$R/;\
			cp -r doc/$$R/* $$DEST/usr/share/doc/$(NAME)/docs/$$R/;\
			rm -f $$DEST/usr/share/doc/$(NAME)/docs/$$R/*.rss;\
		fi;\
		rmdir $$DEST/usr/share/doc/$(NAME)/docs/$$R/ || true;\
	done
endef

inst-rocks-%: NAME = $(subst inst-rocks-,,$@)
inst-rocks-%: ROCKS = $(ROCKS_$(subst inst-rocks-,,$@))
inst-rocks-%: ; $(installrocks)
inst-all-rocks: $(addprefix inst-rocks-,$(PACKAGES))

common-install-indep:: mk-all-dirs inst-all-rocks
	mkdir -p debian/sputnik/usr/bin/
	mkdir -p debian/sputnik/usr/share/doc/sputnik/sample-config/
	cp bin/sputnik/sputnik.lua debian/sputnik/usr/bin/sputnik
	chmod +x debian/sputnik/usr/bin/*
	cp -r debian/samples/* debian/sputnik/usr/share/doc/sputnik/sample-config/
	cp rocks.versions debian/sputnik/usr/share/doc/sputnik

mymanpages:
	txt2man -s 1 -t sputnik -v 'sputnik documentation' sputnik.1.txt > sputnik.1
