## sputnik 12.06.27

=== debian/changelog ===
sputnik (12.06.27-2) unstable; urgency=low

  * Doc fixup

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 28 Jun 2012 10:41:40 +0200

sputnik (12.06.27-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 27 Jun 2012 09:03:51 +0200

sputnik (12.06.26-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 26 Jun 2012 10:16:00 +0200

sputnik (12.06.25-1) unstable; urgency=low

  * New upstream release, including the jquery source

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 11 Jun 2012 20:44:32 +0200

sputnik (12.06.04-5) unstable; urgency=low

  * Add build-dep on txt2man (Closes: #676744 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 11 Jun 2012 16:46:54 +0200

sputnik (12.06.04-4) unstable; urgency=low

  * Few more fixes to the doc  

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 08 Jun 2012 09:58:44 +0200

sputnik (12.06.04-3) unstable; urgency=low

  * Fix README.Debian index

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 08 Jun 2012 09:53:46 +0200

sputnik (12.06.04-2) unstable; urgency=low

  * Update copyright and README.Debian 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 07 Jun 2012 16:58:06 +0200

sputnik (12.06.04-1) unstable; urgency=low

  * New upstream release: Galaxy 12.06.04 including additional tarballs for:
    - diff      8.06.15  (required)
    - medialike 8.08.08  (extra)
    - recaptcha 8.05.26  (extra)
    - xssfilter 10.12.28 (extra)
    - jquery    1.2.3    (extra, to conform to DFSG)
  * Standards-version bumped to 3.9.3, no changes
  * Switch from CDBS to dh
  * debian/compat set to 8
  * Remove sputnik-storage-* packages, since they are now merged inside
    sputnik
  * Update package dependencies
  * Dependencies renamed according to the new Lua policy
  * Suggest the packages needed for optional storage backends 
  * Copyright format 1.0

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 07 Jun 2012 15:18:47 +0200
