=== debian/rules ===
#!/usr/bin/make -f

PACKAGES := $(shell grep Package: debian/control | cut -d : -f 2)

ROCKS_sputnik := diff xssfilter \
	recaptcha medialike \
       	saci sputnik

define makedirs
	mkdir -p $(shell pwd)/debian/$(1)/usr/share/lua/5.1/
	mkdir -p $(shell pwd)/debian/$(1)/usr/share/doc/$(1)/docs/
endef
 
mk-dirs-%:
	$(call makedirs,$*)
mk-all-dirs: $(addprefix mk-dirs-,$(PACKAGES))
	#

define installrocks
	DEST=$(shell pwd)/debian/$(1)/ && \
	for R in $(2); do \
		cp -r $$R/lua/* $$DEST/usr/share/lua/5.1/ && \
		if [ -d $$R/doc/ ]; then \
			mkdir -p $$DEST/usr/share/doc/$(1)/docs/$$R/ && \
			cp -r $$R/doc/* $$DEST/usr/share/doc/$(1)/docs/$$R/ && \
			rm -f $$DEST/usr/share/doc/$(1)/docs/$$R/*.rss; \
		fi; \
	done
	rm -f $(shell pwd)/debian/$(1)/usr/share/lua/5.1/luadoc.log
	rmdir $(shell pwd)/debian/$(1)/usr/share/lua/5.1/medialike || true
endef

inst-rocks-%: 
	$(call installrocks,$*,$(ROCKS_$*))
inst-all-rocks: $(addprefix inst-rocks-,$(PACKAGES))
	#

%:
	dh $@

override_dh_auto_install: 
	make -f debian/rules mk-all-dirs inst-all-rocks
	mkdir -p debian/sputnik/usr/bin/
	mkdir -p debian/sputnik/usr/share/doc/sputnik/sample-config/
	cp sputnik/bin/sputnik.lua debian/sputnik/usr/bin/sputnik
	chmod +x debian/sputnik/usr/bin/*
	cp -r debian/samples/* \
		debian/sputnik/usr/share/doc/sputnik/sample-config/

override_dh_auto_build:
	txt2man -s 1 -t sputnik \
		-v 'sputnik documentation' debian/sputnik.1.txt > sputnik.1

override_dh_compress:
	dh_compress -X .lua -X .xcf
